local OO = MiTu.using(MiTu.OO)
MiTu.CastMonitor = MiTu.CastMonitor or {}
local CurrentPackage = MiTu.BeginPackage(MiTu.CastMonitor)

CastMonitorSettings = {

	Frame = {
		FontSize = 9,
		Scale = 1,
		
		-- Width of the character frames in the list
		SourceFrameWidth = 50,
		
		-- Width of the target names in the list
		TargetFrameWidth = 50
	},
	CastbarsColors = {
	
		-- Color of the players castbar
		Player = {r = 0.6, g = 0.9, b = 0.9},
		
		-- Color of catbars for other players
		Other = {r = 1, g = 1, b = 1},
		
		-- Color for instant casts
		Finished = {r = 1, g = 0.9, b = 0.7},
	},
	TargetColors = {
	
		-- Background color for friendly targets
		Friendly = {r = 0.0, g = 0.7, b = 0.2, a = 0.8},
		
		-- Background color for hostile targets
		Hostile = {r = 0.7, g = 0.0, b = 0.0, a = 0.8},
		
		-- Background color for all other targets
		None = {r = 0.0, g = 0.0, b = 0.0, a = 0.8}
	},
	Behavior = {
	
		-- time in seconds that finished bars take to fade out
		FadeTime = 1 
	}
}	